<script>
    var requireJS = [];

    loadJS(requireJS, "js/views/common.js");
    loadJS(requireJS, "js/views/clients_debts.js");

</script>

<div>
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-header">
                    <i class="icon-people"></i> Clientes Con Deuda
                </div>
                <div class="card-block">

                    <div class="input-group">

                        <div class="form-group form-inline">

                            <button type="button" class="btn btn-primary dropdown-toggle" data-toggle="dropdown">
                                <i class="fa fa-gear"></i>
                                Operaciones
                                <span class="caret"></span>
                            </button>
                            <div class="dropdown-menu" id="actions-dropdown">
                                <a class="dropdown-item" href="#" id="gen-tables">Generar Tablas</a>
                                <a class="dropdown-item" href="#" id="get-csv">Exportar CSV</a>
                            </div>
                        </div>


                        <div class="form-group form-inline">
                            <div class="btn-group">
                                <input th:value="${q}" type="search" class="form-control search-input" placeholder="Buscar..." id="q">
                                <span class="search-clear fa fa-remove"></span>
                            </div>
                        </div>

                        &nbsp;
                        <div class="form-group form-inline">
                            <label>&nbsp;&nbsp;Ordenar  por &nbsp;&nbsp;</label>
                            <select class="form-control" id="sort_by" name="sort_by">
                                <option value="balance" th:selected="${sort_by == 'balance'}"> Balance </option>
                                <option value="client.name" th:selected="${sort_by == 'client.name'}"> Nombre </option>
                            </select>
                            <select class="form-control" id="sort_dir" name="sort_dir">
                                <option value="asc" th:selected="${sort_dir == 'asc'}"> Ascendente </option>
                                <option value="desc" th:selected="${sort_dir == 'desc'}"> Descendente </option>
                            </select>
                        </div>

                        <div class="form-group form-inline">
                            <button type="button" class="btn btn-primary" id='search-button'>
                                <i class="fa fa-search"></i>
                            </button>                            
                        </div>
                        &nbsp;

                    </div>
                    <br/>
                    <table class="table table-bordered table-striped table-sm">
                        <thead>
                            <tr class="text-center">                                    
                                <th colspan="1"></th>
                                <th class="text-center" colspan="2">Titular</th>
                                <th class="text-center" colspan="2">Lineas</th>
                                <th colspan="3"></th>
                            </tr>
                            <tr class="text-center">
                                <td>Cliente desde</td>
                                <td>Nombre</td>
                                <td>Dni</td>
                                <td>Active</td>
                                <td>Cancel</td>
                                <td>Referencia</td>
                                <td>Balance €</td>
                                <td>&nbsp;</td>
                            </tr>
                        </thead>
                        <tbody>
                            <tr th:each="item : ${page.content}">                                
                                <td th:if="${item.client.creationDate != null}" th:text="${#dates.format(item.client.creationDate, 'dd/MM/yyyy HH:mm:ss')}"></td>
                                <td th:if="${item.client.creationDate == null}"></td>
                                <td>
                                    <a th:href="'/#views/support/clients?q=id:' + ${item.clientId}" target="_blank">
                                        <i class="fa fa-link"></i>
                                    </a>
                                    <span th:text="${item.client.name} + ' '+ ${item.client.lastname}"></span>
                                    <span th:if="${item.client.companyName != null}" th:text="' - ' + ${item.client.companyName}"></span>
                                </td>
                                <td>
                                    <span th:text="${item.client.idValue} + ' (' + ${item.client.idType} + ')'"></span>
                                </td>
                                <td class="text-center" th:text="${item.activeLines}"></td>
                                <td class="text-center" th:text="${item.canceledLines}"></td>                                
                                <td th:text="${item.client.refCustomerId}"></td>
                                <td th:classappend="${item.balance != null}?'alert-danger':''" class="text-right">
                                    <span th:if="${item.balance != null}" th:text="${#numbers.formatDecimal(item.balance, 0, 'POINT', 2, 'COMMA')}"></span>
                                    <span th:if="${item.balance == null}">0</span> 
                                </td>                                
                                <td>
                                    <!--<i class="fa fa-eye action-button" data-toggle="modal" data-target="#viewModal" th:attr="data-url='views/clients/clients/'+${item.id}+'/form/view'"></i>
                                    <i sec:authorize="hasRole('ROLE_ADMIN')" class="fa fa-pencil action-button" data-toggle="modal" data-target="#editModal" th:attr="data-url='views/clients/clients/'+${item.id}+'/form/edit'"></i>-->
                                </td>
                            </tr>
                        </tbody>
                    </table>


                    <div th:replace="fragments/pagination :: paginationbar"></div>

                    <div class="row">
                        <div class="col-6">
                            <div class="card">
                                <div class="card-block p-3 clearfix">
                                    <i class="fa fa-money bg-info p-3 font-2xl mr-3 float-left"></i>
                                    <div class="h5 text-info mb-0 mt-2" th:text="${total.getTotalText()}">$1.999,50</div>
                                    <div class="text-muted text-uppercase font-weight-bold font-xs">Total Adeudado</div>
                                </div>
                            </div>
                        </div>
                        <div class="col-6">
                            <div class="card">
                                <div class="card-block p-3 clearfix">
                                    <i class="fa fa-database bg-info p-3 font-2xl mr-3 float-left"></i>
                                    <div class="h5 text-info mb-0 mt-2" th:text="${total.records}">$1.999,50</div>
                                    <div class="text-muted text-uppercase font-weight-bold font-xs">Cantidad de Clientes</div>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
        <!--/.col-->
    </div>
</div>

<div th:replace="fragments/view-modal"></div>
<div th:replace="fragments/edit-modal"></div>